Forum Stats

  • 3,874,496 Users
  • 2,266,746 Discussions
  • 7,911,867 Comments

Discussions

Using EF 6.4 with ODP.NET on NET 6.0

user518536
user518536 Member Posts: 18 Blue Ribbon

We are using old Entity Framework 6.x and can not switch to EF Core, because of dependencies that are not under our control.

Microsoft supports running EF 6.4 in dot net core applications (such as .NET 6.0). EF - they actually supports .NET Framework, .NET Standard as well as .NET Core - see https://www.nuget.org/packages/EntityFramework

IIUC, Oracle's provider for EF 6.x lives in Oracle.ManagedDataAccess.EntityFramework, which only targets .NET Framework 4.x (no support for .NET Core) - https://www.nuget.org/packages/Oracle.ManagedDataAccess.EntityFramework

Does this mean that there is no way to use EF 6.x with ODP.NET on Linux - even though that ODP.NET core manager driver perfectly works on Linux?

Is there a workaround? Is Oracle.ManagedDataAccess.EntityFramework open source, so that it can be ported to .NET Core?

Thanks,

Matej

Answers